# Author renyupeng
# coding=utf-8
# @Time    : 2021/9/15 11:14 上午
# @Site    : 
# @File    : ConfConstant.py
# @Software: PyCharm
# @contact: renyupeng@c-top.com.cn
# @Tel 1501435553
import os
from configparser import ConfigParser

dir_name = os.path.dirname(os.path.dirname(__file__))

config_file = dir_name + '/config.ini'
_cfp = ConfigParser()
_cfp.read(config_file, encoding='utf-8')


class ConfConstant:
    """
    配置文件常量类
    """
    # tidb 配置信息
    TIDB_HOST = _cfp.get('tidb', 'tidb_host')
    TIDB_PORT = _cfp.getint('tidb', 'tidb_port')
    TIDB_USER = _cfp.get('tidb', 'tidb_user')
    TIDB_PASSWORD = _cfp.get('tidb', 'tidb_password')

    # tidb 配置信息
    TIDB_PRO_HOST = _cfp.get('tidb_pro', 'tidb_host')
    TIDB_PRO_PORT = _cfp.getint('tidb_pro', 'tidb_port')
    TIDB_PRO_USER = _cfp.get('tidb_pro', 'tidb_user')
    TIDB_PRO_PASSWORD = _cfp.get('tidb_pro', 'tidb_password')

    # xxl-job 配置
    xxl_url = _cfp.get('xxl_job', 'xxl_url')

    # ### log
    # # 日志存放路径
    Log_home = _cfp.get('log', 'Log_home')
    # # 日志等级
    # LOG_LEVEL = _cfp.get('log', 'log_level')

    # webhook配置
    URL = _cfp.get('webhook', 'url')

    # cdc url
    CDC_URL = _cfp.get('cdc', 'cdc_url')
